Your suggested change has been received. Thank you.

close

Suggest A Change

https://thales.na.market.dpondemand.io/docs/dpod/services/kmo….

back

DSM Key APIs

Getting Details of a Domain Refresh

search

Please Note:

Getting Details of a Domain Refresh

This section describes how to view DSM keys using the CCKM APIs.

Use the get /v1/cckm/dsm/refresh/{id} API to view the details of a domain refresh process.

Syntax

curl -k '<IP>/api/v1/cckm/dsm/refresh/{id}' -H 'Authorization: Bearer AUTHTOKEN' --compressed

Here, {id} represents the ID of the refresh process. Refer to Refreshing DSM Domains to find out the ID of the refresh process.

Request Parameter

Parameter Type Description
AUTHTOKEN string Authorization token.

Example Request

curl -k 'https://127.0.0.1/api/v1/cckm/dsm/refresh/8155fe39-570a-4132-92ca-e40b7640c7dc' -H 'Authorization: Bearer eyJhbGciOiJIUzI1NiIsInR5cCI6IkpXVCJ9.eyJhdWQiOiI0MmFmZDExNy02YzllLTRhNGUtOTAwYS1lYjlhNDNjYWE5ZDIiLCJzdWIiOiJsb2NhbHwzMTI5ODdkMS0wOWNiLTQxZTEtOThmNy1jZjRhNzgwNTZiMTMiLCJpc3MiOiJreWxvIiwiYWNjIjoia3lsbyIsInByZWZlcnJlZF91c2VybmFtZSI6ImFkbWluIiwiY3VzdCI6eyJkb21haW5faWQiOiIwMDAwMDAwMC0wMDAwLTAwMDAtMDAwMC0wMDAwMDAwMDAwMDAiLCJncm91cHMiOlsiYWRtaW4iXSwic2lkIjoiNDVmOWE3NWUtMzI1NC00NWJkLWE0NzYtOWU2NWUyNjdmNGVkIiwiem9uZV9pZCI6IjAwMDAwMDAwLTAwMDAtMDAwMC0wMDAwLTAwMDAwMDAwMDAwMCJ9LCJqd3RpZCI6IjdiYzNkOWM4LWRiYTQtNDVmMy05YWNiLWI3NGM2MzQyYzYyMCIsImlhdCI6MTYxNDc1MTg1MSwiZXhwIjoxNjE0NzUyMTUxfQ.ahdxfM7-WA4u7sotHy6qelc9MkoZytst7oZWsvE7Cr0' --compressed

Example Response

{
    "id": "8155fe39-570a-4132-92ca-e40b7640c7dc",
    "uri": "kylo:kylo:cckm:synchronize:8155fe39-570a-4132-92ca-e40b7640c7dc",
    "account": "kylo:kylo:admin:accounts:kylo",
    "application": "ncryptify:gemalto:admin:apps:kylo",
    "devAccount": "ncryptify:gemalto:admin:accounts:gemalto",
    "createdAt": "2021-03-03T06:10:52.128836Z",
    "updatedAt": "2021-03-03T06:10:54.097262Z",
    "completed_at": "2021-03-03T06:10:54.097116Z",
    "overall_status": "completed",
    "detailed_status": {
        "89c49e63-b5c9-46be-9371-0d8b0649e289": "domain synchronized successfully"
    },
    "cloud": "dsm",
    "domains": [
        "89c49e63-b5c9-46be-9371-0d8b0649e289"
    ],
    "abort": false
}

The output shows the details of the refresh process with ID 8155fe39-570a-4132-92ca-e40b7640c7dc.

Response Codes

Response Code Description
2xx Success
4xx Client errors
5xx Server errors

Refer to HTTP status codes for details.